Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454098 (httpd-te-chunked) - Apache httpd does not proxy properly backend response with Transfer-Encoding: chunked
Summary: Apache httpd does not proxy properly backend response with Transfer-Encoding:...
Keywords:
Status: CLOSED ERRATA
Alias: httpd-te-chunked
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: httpd
Version: 5.1
Hardware: All
OS: Linux
low
high
Target Milestone: rc
: ---
Assignee: Joe Orton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-04 15:56 UTC by Mark Spensser
Modified: 2009-01-30 14:03 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-20 21:08:02 UTC
Target Upstream Version:


Attachments (Terms of Use)
Patch from upstream (deleted)
2008-07-04 15:56 UTC, Mark Spensser
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Apache Bugzilla 41056 None None None Never
Red Hat Product Errata RHBA-2009:0185 normal SHIPPED_LIVE httpd bug fix and enhancement update 2009-01-20 17:29:50 UTC

Description Mark Spensser 2008-07-04 15:56:44 UTC
Description of problem:
Apache httpd does not write to client immediately if backend use "server push" 
mechanism. (example: http://engrm.com/blogometer/2005/11/17/pushlets-in-java/)

Version-Release number of selected component (if applicable):
httpd-2.2.3-11.el5_1.3

How reproducible:
Always

Steps to Reproduce:
1. Set up Apache + mod_proxy in front of backend with "server push"
2. Try to send some small data pieces from server to client
  
Actual results:
Data arrive to client with large delay, or does not arrive.

Expected results:
Data chunks arrive in time.

Additional info:
Attached patch (applied by upstream in 2.2.8) tested on live setup.

Comment 1 Mark Spensser 2008-07-04 15:56:44 UTC
Created attachment 311047 [details]
Patch from upstream

Comment 2 Joe Orton 2008-07-15 13:37:29 UTC
Thanks for requesting this.

Comment 4 RHEL Product and Program Management 2008-07-15 13:50:55 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 9 Chris Ward 2008-10-29 08:27:26 UTC
This bug fix should be available in the RHEL5.3 Public Beta release this week, which can be downloaded from RHN. (httpd-2.2.3-19.el5)

Please test that the fix applied works as expected. If you encounter any issues, please report them as quickly as possible so that they can been addressed before RHEL5.3 GA.

Comment 12 errata-xmlrpc 2009-01-20 21:08:02 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0185.html


Note You need to log in before you can comment on or make changes to this bug.